﻿.ts-table {
	width: 100%;
	border-collapse: separate;
	border-spacing: 0;
	background: var(--bs-body-bg);
	border: 1px solid var(--bs-border-color);
	border-radius: 0.5rem;
	font-size: 0.875rem;
	font-family: "Segoe UI", system-ui, sans-serif;
}

	/* Header */
	.ts-table th {
		text-align: left;
		padding: 0.75rem;
		font-weight: 600;
		color: var(--bs-white);
		background: var(--bs-primary);
		border-bottom: 1px solid var(--bs-border-color);
	}

	/* Rows */
	.ts-table tbody tr:hover {
		background: var(--bs-secondary-bg);
	}

	.ts-table thead tr th:first-of-type {
		border-top-left-radius: 0.5rem;
	}

	.ts-table thead tr th:last-of-type {
		border-top-right-radius: 0.5rem;
	}

	.ts-table tr:last-of-type td {
		border-bottom: none;
	}

	/* Cells */
	.ts-table td {
		padding: 0.75rem;
		color: var(--bs-body-color);
		border-bottom: 1px solid var(--bs-border-color);
	}

/* Request table extensions */
.ts-table.request-table th {
	height: 4rem;
	white-space: nowrap;
}

.ts-table.request-table .sortable {
	cursor: pointer;
	user-select: none;
}

.ts-table.request-table .filters-row th {
	background: var(--bs-body-bg);
	padding: 0.25rem;
	border-bottom: 1px solid var(--bs-border-color);
	color: var(--bs-body-color);
	font-weight: 400;
}

.ts-table.request-table .filters-row input::placeholder {
	color: var(--bs-secondary-color);
	opacity: .9;
}

.ts-table.request-table .selected-row {
	box-shadow: var(--bs-box-shadow-inset) !important;
	position: relative;
	z-index: 1;
	background: var(--bs-secondary-bg);
}

.ts-table.request-table tbody td {
	position: relative;
	overflow: visible;
}

.ts-table.request-table tbody tr {
	overflow: visible;
}
